<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS11</title>
</head>
<body>
  <div id="container"></div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  
  <script>
  
    let viewList = function(){
      
    let list = [];
    let numberOfStrings = prompt('Ввведите количество пунктов, которые будут в списке:','10');
      
    for(let i=0; i<numberOfStrings; i++){
      list.push(prompt('Введите содержимое пункта № ' + (i+1) +':', 'любой текст' ));
    }
 
    document.getElementById('container').innerHTML = `<ul>${list.map(item => `<li>${item}</li>`).join('')}</ul>`;
      
    let deleteUl = function(){
      document.getElementById('container').remove();
      clearInterval(timerId);   
    }
  
    
    let counter = 9;
        
    let p = document.createElement('p');  
    p.innerHTML = `10`;    
    document.getElementById('container').appendChild(p);
    

    let timerId = setInterval( function(){p.innerHTML = `${counter--}`}, 1000 );
     
    setTimeout( deleteUl, 10000 );    
  }  
      
  viewList();
  

      
  </script>

</body>
</html>